package com.swago.baseswago.model.live;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;

/**
 * @date 2022/4/12 18:04
 * description:
 */
public class RoomConfig implements Parcelable {


   /**
    * total_min_coins : 1000
    * total_min_num : 5
    * all_notice_coins : 20000
    * rule :
    */

   private RedPackageBean red_package;
   /**
    * rotation_img_url : http://image2.vv-tool.com/2021/09/13/03/09/30/47067.jpg
    * rotation_url : d
    */
   private int is_show_game; //1展示 0不展示  是否显示线上游戏图标
   private int auto_show_game;//是否自动弹出游戏（1是0否）
   private int is_repeat_game;//当日是否多次弹出游戏（1是0否）
   private ArrayList<BannersBean> banners;

   protected RoomConfig(Parcel in) {
      is_show_game = in.readInt();
   }

   public static final Creator<RoomConfig> CREATOR = new Creator<RoomConfig>() {
      @Override
      public RoomConfig createFromParcel(Parcel in) {
         return new RoomConfig(in);
      }

      @Override
      public RoomConfig[] newArray(int size) {
         return new RoomConfig[size];
      }
   };

   public RedPackageBean getRed_package() {
      return red_package;
   }

   public void setRed_package(RedPackageBean red_package) {
      this.red_package = red_package;
   }

   public int getIs_show_game() {
      return is_show_game;
   }

   public void setIs_show_game(int is_show_game) {
      this.is_show_game = is_show_game;
   }

   public int getAuto_show_game() {
      return auto_show_game;
   }

   public void setAuto_show_game(int auto_show_game) {
      this.auto_show_game = auto_show_game;
   }

   public int getIs_repeat_game() {
      return is_repeat_game;
   }

   public void setIs_repeat_game(int is_repeat_game) {
      this.is_repeat_game = is_repeat_game;
   }

   public ArrayList<BannersBean> getBanners() {
      return banners;
   }

   public void setBanners(ArrayList<BannersBean> banners) {
      this.banners = banners;
   }

   @Override
   public int describeContents() {
      return 0;
   }

   @Override
   public void writeToParcel(Parcel dest, int flags) {
      dest.writeInt(is_show_game);
      dest.writeInt(auto_show_game);
      dest.writeInt(is_repeat_game);
   }

   public static class RedPackageBean {
      private int total_min_coins;
      private int total_min_num;
      private int all_notice_coins;
      private String rule="";

      public int getTotal_min_coins() {
         return total_min_coins;
      }

      public void setTotal_min_coins(int total_min_coins) {
         this.total_min_coins = total_min_coins;
      }

      public int getTotal_min_num() {
         return total_min_num;
      }

      public void setTotal_min_num(int total_min_num) {
         this.total_min_num = total_min_num;
      }

      public int getAll_notice_coins() {
         return all_notice_coins;
      }

      public void setAll_notice_coins(int all_notice_coins) {
         this.all_notice_coins = all_notice_coins;
      }

      public String getRule() {
         return rule;
      }

      public void setRule(String rule) {
         this.rule = rule;
      }
   }

   public static class BannersBean {
      private String rotation_img_url="";
      private String rotation_url="";

      public String getRotation_img_url() {
         return rotation_img_url;
      }

      public void setRotation_img_url(String rotation_img_url) {
         this.rotation_img_url = rotation_img_url;
      }

      public String getRotation_url() {
         return rotation_url;
      }

      public void setRotation_url(String rotation_url) {
         this.rotation_url = rotation_url;
      }
   }
}
